All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::matrix_solve< NumericT, LayoutT1, LayoutT2 > Struct Template Reference

Main kernel class for the generation of matrix solve kernels. More...

`#include <matrix_solve.hpp>`

## Static Public Member Functions

static std::string | program_name ()
static void | init (viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT, typename LayoutT1, typename LayoutT2>
struct viennacl::linalg::opencl::kernels::matrix_solve< NumericT, LayoutT1, LayoutT2 >

Main kernel class for the generation of matrix solve kernels.

Parameters

  F1 | Row/Column majority tag for the system matrix
  F2 | Row/Column majority tag for the right hand side matrix

Definition at line 130 of file matrix_solve.hpp.

## Member Function Documentation

template<typename NumericT , typename LayoutT1 , typename LayoutT2 >

static void viennacl::linalg::opencl::kernels::matrix_solve< NumericT, LayoutT1, LayoutT2 >::init | ( | viennacl::ocl::context & | ctx | ) |

inline static

Definition at line 137 of file matrix_solve.hpp.

template<typename NumericT , typename LayoutT1 , typename LayoutT2 >

static std::string viennacl::linalg::opencl::kernels::matrix_solve< NumericT, LayoutT1, LayoutT2 >::program_name | ( |  | ) |

inline static

Definition at line 132 of file matrix_solve.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/matrix_solve.hpp